package mastermind.client;

import mastermind.engine.MastermindEngine;

/**
 * Mastermind Client Interface.
 */
/* -----------------------------------------------------------------------------
 * Version History:
 * 2012-05-04.v01   FeRo    init version
 * -----------------------------------------------------------------------------
 * @author Felix Rohrer <felix.rohrer@stud.hslu.ch>
 * @version 2012-05-04.v01
 */
public interface IClient
{

    /**
     * Starten den Client
     * @param mEngine MastermindEngine
     * @param args cmd Params String-Array
     */
    void runClient(MastermindEngine mEngine, String[] args);

}
